View Issue Details

IDProjectCategoryView StatusLast Update
13958Bug reports[All Projects] Installationpublic2018-09-03 17:14
Reportergunnarw Assigned Tomarkusfluer  
PrioritynoneSeverityminor 
Status closedResolutionreopened 
Product Version3.12.x 
Target VersionFixed in Version3.14.x 
Summary13958: Error updating the database schema from verson 353 to 355
Description

After unpacking a new Limesurvey version (3.14.3+180809 over 3.12.2+180625), I ran the database upgrade script as usual, the upgrade script (/admin/databaseupdate/sa/db) reports upgrade errors:

Un error inrecuperable ha ocurrido durante la actualizaciĆ³n. Detalles de error:

CDbCommand failed to execute the SQL statement: SQLSTATE[25P02]: In failed sql transaction: 7 ERROR: current transaction is aborted, commands ignored until end of transaction block

File updatedb_helper.php, line 2289.

As far as I can tell, my database (PostgreSQL) only logs the following as erroneous:

2018-08-13 18:35:58 GMT ERROR:  invalid name syntax
2018-08-13 18:35:58 GMT STATEMENT:  SELECT CURRVAL($1)
2018-08-13 18:35:58 GMT ERROR:  current transaction is aborted, commands ignored until end of transaction block
2018-08-13 18:35:58 GMT STATEMENT:  DELETE FROM "surveymenu" WHERE name='mainmenu'

Please advise on how to fix this!

Steps To Reproduce

I have repeatedly attempted to run the upgrade script, the bug persists. I don't know the ORM or logic below updatedb_helper, so I didn't yet modify it.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.12.2+180625 oto 3.14.3+180809
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database & DB-VersionPostgreSQL 9.4
Server OS (if known)Debian 9.5 "Stretch" for Limesurvey, Debian 8.11 "Jessie" for the DB server
Webserver software & version (if known)nginx 1.10.3
PHP Version5.6.36

Activities

markusfluer

markusfluer

2018-08-16 10:30

administrator   ~48792

Hello,

Please use the latest LimeSurvey version, the bug is fixed there.

hgreenwald

hgreenwald

2018-08-20 19:53

reporter   ~48831

I'm encountering the same error when upgrading to 3.14.5+180815

gunnarw

gunnarw

2018-08-21 01:09

reporter   ~48833

I am trying to update, with no luck whatsoever. I have just tried with the currently listed latest version (3.14.5+180815), and was greeted with just a blank page at /index.php/admin/databaseupdate/sa/db
Tried again from the CLI (which is more natural for me, and I didn't know about - I guess I will stick to it for the future), and got the following:

$ php console.php updatedb
Update pgsql:host=pgsql.local.iiec;port=5432;user=limesurvey;password=xncw5vvynmu7;dbname=encuestas_limesurvey; with prefix : from 353 to 355
exception 'CException' with message 'Please fix this error in your database and try again' in /var/www/html/limesurvey/application/commands/UpdateDbCommand.php:46
Stack trace:
#0 /var/www/html/limesurvey/framework/console/CConsoleCommandRunner.php(71): UpdateDBCommand->run(Array)
#1 /var/www/html/limesurvey/framework/console/CConsoleApplication.php(92): CConsoleCommandRunner->run(Array)
#2 /var/www/html/limesurvey/framework/base/CApplication.php(185): CConsoleApplication->processRequest()
#3 /var/www/html/limesurvey/application/commands/console.php(64): CApplication->run()
#4 {main}$

Does not seem to give much information. Is there a way to request debugging information?

gunnarw

gunnarw

2018-08-21 01:12

reporter   ~48834

FWIW, given I cannot even enter the admin interfase (thus, I cannot neither create new surveys nor work on the results of the ongoing ones), I'd appreciate it if the severity was tagged above "minor". The site is broken :-(

gunnarw

gunnarw

2018-08-21 01:20

reporter   ~48835

Poking around, I enabled debug=>1, debugsql=>1 in my application/config/config.php file. Here is the resulting exception, hope it is useful to solve the issue.



CDbException.html (316,489 bytes)
LouisGac

LouisGac

2018-08-21 11:34

manager   ~48836

@markus: the bug is not fixed

markusfluer

markusfluer

2018-08-23 15:33

administrator   ~48866

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27852

gunnarw

gunnarw

2018-08-28 19:01

reporter   ~48906

Confirmed, I was finally able to finish the update. This issue can be closed AFAICT :-)

c_schmitz

c_schmitz

2018-09-03 17:14

administrator   ~48938

Version 3.14.8+180829 released

Related Changesets

LimeSurvey: master 5fc82121

2018-08-23 15:32:50

markusfluer

Details Diff
Fixed issue 13958: Error updating the database schema from verson 353 to 355 Affected Issues
13958
mod - application/helpers/update/updatedb_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-08-14 01:28 gunnarw New Issue
2018-08-16 10:28 LouisGac Assigned To => markusfluer
2018-08-16 10:28 LouisGac Status new => assigned
2018-08-16 10:30 markusfluer Note Added: 48792
2018-08-16 11:11 markusfluer Status assigned => resolved
2018-08-16 11:11 markusfluer Resolution open => fixed
2018-08-16 11:11 markusfluer Fixed in Version => 3.14.x
2018-08-20 19:53 hgreenwald Note Added: 48831
2018-08-21 01:09 gunnarw Status resolved => feedback
2018-08-21 01:09 gunnarw Resolution fixed => reopened
2018-08-21 01:09 gunnarw Note Added: 48833
2018-08-21 01:12 gunnarw Note Added: 48834
2018-08-21 01:12 gunnarw Status feedback => assigned
2018-08-21 01:20 gunnarw File Added: CDbException.html
2018-08-21 01:20 gunnarw Note Added: 48835
2018-08-21 11:34 LouisGac Note Added: 48836
2018-08-23 15:33 markusfluer Changeset attached => LimeSurvey master 5fc82121
2018-08-23 15:33 markusfluer Note Added: 48866
2018-08-23 15:34 markusfluer Status assigned => resolved
2018-08-28 19:01 gunnarw Note Added: 48906
2018-09-03 17:14 c_schmitz Note Added: 48938
2018-09-03 17:14 c_schmitz Status resolved => closed